stages:
  - build
  - test
  - push
  - deploy

cache:
  - key: venv
    paths:
      - venv

build:
  stage: build
  script:
    - ./scripts/ci build

test:
  stage: test
  script:
    - ./scripts/ci test

push:
  stage: push
  script:
    - ./scripts/ci push

deploy-dev:
  stage: deploy
  script:
    - ./scripts/ci deploy-dev

deploy-prod:
  stage: deploy
  when: manual
  script:
    - ./scripts/ci deploy-prod
